ServiceJob

## Class ServiceJob

- java.lang.Object
- - ServiceJob

-     public class ServiceJob
      extends java.lang.Object

  save or load a job
  Author:
    413

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static org.jdom.Element` | `ELastPage`
    `(package private) static org.jdom.Element` | `EParameter1`
    `(package private) static org.jdom.Element` | `EParameter2`
    `(package private) static org.jdom.Element` | `EParameter3`
    `(package private) static org.jdom.Element` | `EParameter4`
    `(package private) static org.jdom.Element` | `EParameter5`
    `(package private) static org.jdom.Element` | `EPDFSource`
    `(package private) static org.jdom.Element` | `EPDFStamp`
    `(package private) static org.jdom.Element` | `EPDFStampType`
    `(package private) static org.jdom.Element` | `EResultFile`
    `(package private) static org.jdom.Element` | `EStartPage`
    `(package private) static org.jdom.Document` | `loadDoc`
    `(package private) static org.jdom.Element` | `loadroot`
    `(package private) static org.jdom.Document` | `saveDoc`
    `(package private) static org.jdom.Element` | `saveroot`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceJob()` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Job` | `load(java.io.File source)` load the job from job.xml file
    `void` | `save(Job job)` save the job into a job.xml file

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### saveroot

          static org.jdom.Element saveroot

    - #### loadroot

          static org.jdom.Element loadroot

    - #### EPDFSource

          static org.jdom.Element EPDFSource

    - #### EPDFStamp

          static org.jdom.Element EPDFStamp

    - #### EPDFStampType

          static org.jdom.Element EPDFStampType

    - #### EStartPage

          static org.jdom.Element EStartPage

    - #### ELastPage

          static org.jdom.Element ELastPage

    - #### EParameter1

          static org.jdom.Element EParameter1

    - #### EParameter2

          static org.jdom.Element EParameter2

    - #### EParameter3

          static org.jdom.Element EParameter3

    - #### EParameter4

          static org.jdom.Element EParameter4

    - #### EParameter5

          static org.jdom.Element EParameter5

    - #### EResultFile

          static org.jdom.Element EResultFile

    - #### saveDoc

          static org.jdom.Document saveDoc

    - #### loadDoc

          static org.jdom.Document loadDoc

  - ### Constructor Detail

    - #### ServiceJob

          public ServiceJob()

      constructor

  - ### Method Detail

    - #### save

          public void save(Job job)

      save the job into a job.xml file
      Parameters:
        `job` - the job to save

    - #### load

          public Job load(java.io.File source)

      load the job from job.xml file
      Parameters:
        `source` -
      Returns:
        the job